Scripts & Apps

blaze – php framework for small to medium web sites

LIVE PREVIEWBUY FOR $20









How we create websites

There as soon as was a time, when web site creation was about artwork and positive tuning code edges with love for the small print. Particularly smaller web sites have been coded with the consumer in thoughts, realizing small and neat options that may make the web page guests keep in mind your web site. These days, it’s all about which framework to make use of, learn how to pressure the content material within the framework and learn how to get the challenge finished. Let’s step again and put the love again in!

Back to the roots

We needed to have the ability to code a small web site like we as soon as did. However there’s a lot to care about. Like “The best way to minify and compile belongings rapidly?”, “The best way to optimize web page output and caching stuff?” and so forth. We frequently used cool frameworks like laravel or symfony and even wordpress – which took a lot of our time and was whole overkill.

That’s why we created blaze. We needed to have a framework that may take away our worries with out forcing us to stay to MVC patterns (that are nice for net apps however overkill for smaller web site initiatives). blaze permits us to code like we have been simply doing html with some php injections and overlook in regards to the worries {that a} web site brings with it.

blaze permits us to start out coding straight away. Simply plain HTML with some PHP additions, it’s again to coding the attractive web site we needed to create.

The best way to use blaze?

You get a folder which you’ll have to drop into your webspace. Run a really fast installer and also you’re finished. You don’t need to observe any guidelines, simply create your web site such as you usually would have. Use pure HTML and PHP, belongings of all sorts and so forth. No want for a templating language or any type of integration. blaze is simply there that can assist you.

In your code, it is possible for you to to make use of blaze’s elements with out having to look after anything. You may shield your web site from public entry with a click on, you can also allow asset minification with a click on, and you are able to do rather more. All with out having to study an enormous framework and with full flexibility.

blaze - php framework for small to medium websites - 1

System necessities

blaze was examined and made to run on mostpart of normal internet hosting options. It was examined with PHP 5.5.9 to 7.1 and will run on almost all PHP configurations you could encounter on shared internet hosting environments.

We advocate working blaze on Apache, which powers most shared internet hosting servers. We can also verify that blaze would possibly work on nginx so long as there’s assist for .htaccess and mod_rewrite.

These are the really helpful system necessities:

  • Apache v2.2 or increased
  • PHP 5.6 or increased
  • mod_rewrite
  • Curl extension
  • Zip extension

These are the minimal system necessities we do assist:

  • Apache v2.2 or increased
  • PHP 5.5.9 or increased
  • mod_rewrite

Among the options would require different Apache modules to be put in (like mod_expires for correct expire headers on photos) or sure PHP extensions (like zip for branding import/export). In trendy occasions, these needs to be put in and activated on most servers.

Automated updates received’t work if PHP’s curl extension shouldn’t be put in.

In case you encounter an issue associated to an incompatibility together with your server setup, tell us and we’ll see what we will do.

Test your server earlier than shopping for blaze!

As we don’t need you to purchase blaze and never be capable to use it, we offer a system checking script. You can see this script right here: blaze.moay.de/#goblaze.

Changelog

Model 1.3.1, 2017/02/13
- IMRPOVED: Dealing with of outdated periods has been improved.
- FIXED: Minor translation bugs.
Model 1.3.0, 2017/02/08
- NEW: blaze now helps PHP 7
- IMRPOVED: A number of vendor libraries have been up to date.
- FIXED: Minor bugs associated to PHP 7 have been mounted.

Assist for PHP 5.Three and PHP 5.Four has been dropped. blaze will nonetheless run on PHP 5.3+ (in all probability), however we cannot assist methods working 5.3/5.Four any extra.
Model 1.2.0, 2016/02/06
- NEW: blaze now helps Stylus. You may add Stylus information with the extensions '.styl' and '.stylus'. They are going to be dealt with like different CSS preprocessor information (LESS or SCSS). This consists of computerized compiling, minification and inlining.
- IMRPOVED: A number of vendor libraries have been up to date.
Model 1.1.0, 2016/01/08
- NEW: blaze now requires PHP 5.4+ for Sass compiling. Nonetheless supported from PHP 5.3.3+ on when not utilizing Sass
- IMRPOVED: A number of vendor libraries have been up to date.
- FIX: A bug with Sass compiling, which was inserted with v1.0.4, was mounted.
Model 1.0.4, 2015/11/25
- IMRPOVED: A number of vendor libraries have been up to date.
- IMRPOVED: Higher browser recognition together with detection of Edge and Vivaldi.
Model 1.0.3, 2015/03/12
- FIX: Small bugfix for the database handler.
Model 1.0.2, 2015/02/17
- FIX: Google indexing blaze login pages.
Model 1.0.1, 2015/02/11
- FIX: Concatenation of minified and packed jQuery plugins.

Source

Related Articles

Leave a Reply

Your email address will not be published. Required fields are marked *

Close
Close